Package com.io7m.cardant.protocol.inventory.cb

# Record Class CAI1CommandItemSearchPrevious

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.cb.CAI1CommandItemSearchPrevious

All Implemented Interfaces:
  `ProtocolCAIType`, `ProtocolCAIv1Type`, `com.io7m.cedarbridge.runtime.api.CBProtocolMessageType`, `com.io7m.cedarbridge.runtime.api.CBSerializableType`

public record CAI1CommandItemSearchPrevious() extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType, ProtocolCAIv1Type
Return the next page of search results.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAI1CommandItemSearchPrevious()`
  Creates an instance of a `CAI1CommandItemSearchPrevious` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CAI1CommandItemSearchPrevious`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type CAI1CommandItemSearchPrevious.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1CommandItemSearchPrevious $x)`
  Serialize a value of type CAI1CommandItemSearchPrevious.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAI1CommandItemSearchPrevious

    public CAI1CommandItemSearchPrevious()
    Creates an instance of a `CAI1CommandItemSearchPrevious` record class.

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1CommandItemSearchPrevious $x) throws IOException
    Serialize a value of type CAI1CommandItemSearchPrevious.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static CAI1CommandItemSearchPrevious deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type CAI1CommandItemSearchPrevious.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type CAI1CommandItemSearchPrevious.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.